# Interface methods for submodule: ManualWisdomFilenameGenerator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import WisdomFilenameGeneratorBaseProxy as _WisdomFilenameGeneratorBaseProxy


# Interface methods for class: ManualWisdomFilenameGenerator
class ManualWisdomFilenameGeneratorProxy(_WisdomFilenameGeneratorBaseProxy):
	def SetWisdomFilename(self, wfn: str) -> None:
		""""""
		...

	def GenerateWisdomFilename(self, baseCacheDirectory: str) -> str:
		""""""
		...

